## org.springframework.jdbc.datasource.embedded
Interface EmbeddedDatabaseConfigurer

    public interface EmbeddedDatabaseConfigurer

Encapsulates the configuration required to create, connect to, and shutdown a specific type of embedded database such as HSQL or H2. Create a implementation for each database type you wish to support; for example HSQL, H2, or some other type.

Since:
  3.0
Author:
  Keith Donald

Method Summary
`void` `configureConnectionProperties(ConnectionProperties properties, String databaseName)` Configure the properties required to create and connect to the embedded database instance.
`void` `shutdown(DataSource dataSource, String databaseName)` Shutdown the embedded database instance that backs dataSource.

Method Detail

### configureConnectionProperties

    void configureConnectionProperties(ConnectionProperties properties,
                                       String databaseName)

  Configure the properties required to create and connect to the embedded database instance.

  Parameters:
    `dataSource` - the data source to configure
    `databaseName` - the name of the test database

### shutdown

    void shutdown(DataSource dataSource,
                  String databaseName)

  Shutdown the embedded database instance that backs dataSource.

  Parameters:
    `dataSource` - the data source
    `databaseName` - the name of the database being shutdown